[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_uart' (#crwlib)

# TUart

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_uart.pas line 321

`type TUart = class(TLatch)`
`protected`
`property PollMap: TByteSet; [rw]`
`public`
`constructor Create();`
`procedure AfterConstruction; override;`
`procedure BeforeDestruction; override;`
`destructor Destroy; override;`
`function GetProperties();`
`procedure ReadConfig();`
`property Port []: TUartPort; default; [r]`
`property Polling: TPolling; [r]`
`property SleepTime: Cardinal; [rw]`
`end;`

## Inheritance

`TUart`
`TLatch`
`TMasterObject`
`TObject`